### Hierarchy

- unknown
  - Country

## Index

### Constructors

- constructor

### Methods

- clearRegion
- getCode
- getName
- getRegion
- hasRegion
- serializeBinary
- setCode
- setName
- setRegion
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new Country(): Country

- Inherited from jspb.Message.constructor

  #### Returns Country

## Methods

### clearRegion

- clearRegion(): Country

- - Defined in src/protobuf/pb_pb.d.ts:8079

  #### Returns Country

### getCode

- getCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:8070

  #### Returns string

### getName

- getName(): string

- - Defined in src/protobuf/pb_pb.d.ts:8073

  #### Returns string

### getRegion

- getRegion(): undefined | Region

- - Defined in src/protobuf/pb_pb.d.ts:8076

  #### Returns undefined | Region

### hasRegion

- hasRegion(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:8078

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:8081

  #### Returns Uint8Array

### setCode

- setCode(value: string): Country

- - Defined in src/protobuf/pb_pb.d.ts:8071

  #### Parameters

  - ##### value: string

  #### Returns Country

### setName

- setName(value: string): Country

- - Defined in src/protobuf/pb_pb.d.ts:8074

  #### Parameters

  - ##### value: string

  #### Returns Country

### setRegion

- setRegion(value?: Region ): Country

- - Defined in src/protobuf/pb_pb.d.ts:8077

  #### Parameters

  - ##### Optional value: Region

  #### Returns Country

### toObject

- toObject(includeInstance?: boolean): Country . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:8082

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns Country . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): Country

- - Defined in src/protobuf/pb_pb.d.ts:8085

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Country

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Country, reader: BinaryReader): Country

- - Defined in src/protobuf/pb_pb.d.ts:8086

  #### Parameters

  - ##### message: Country

  - ##### reader: BinaryReader

  #### Returns Country

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: Country, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:8084

  #### Parameters

  - ##### message: Country

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: Country ): Country . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:8083

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Country

  #### Returns Country . AsObject

Generated using TypeDoc